Bug 524537 - Translated strings in text version are way less than PO file
Summary: Translated strings in text version are way less than PO file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 525052
TreeView+ depends on / blocked
 
Reported: 2009-09-21 05:29 UTC by Noriko Mizumoto
Modified: 2010-05-03 14:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-03 14:08:11 UTC


Attachments (Terms of Use)

Description Noriko Mizumoto 2009-09-21 05:29:13 UTC
Issuing command "system-config-network" to check translation from live brings up text version. This text version seems containing less strings in PO file.
(Reported by Korean translator)

Comment 1 Noriko Mizumoto 2009-09-23 05:33:47 UTC
This is feedback from Fedora 12 software translation review.

Version-Release number of selected component (if applicable):
Live for Fedora 12 Software Translation Review
http://people.redhat.com/petersen/f12-l10n/

- Translated strings appeared in the text version are way less than PO file.
Observed by ko-KR, ja-JP, ru-RU and it-IT
-  "Edit a device params" and "Edit DNS configuration" appears in English even those have been fully translated in PO file.
Observed by zh-TW and ru-RU

Comment 2 Noriko Mizumoto 2009-09-29 03:48:10 UTC
How reproducible:
always

Steps to Reproduce:
1. issue command 'system-config-network'
2. Observe text version

Actual results:
Only following six strings appear in text version, while there are 711 entries in POT file.
 'Select Action' - found in POT
 'Edit a device params' - Not found in POT
 'Edit DNS configuration' - Not found in POT
 'Save&Quit' - found in POT
 'Quit' - found in POT
 '<Tab>/<Alt-Tab> between elements | <Space> selects | <F12> next screen' - Not found in POT

Expected results:
Where can those 711 entries in POT be found?

Additional info:
Observed by zh-TW, ko_KR, ja-JP, ru-RU and it_IT

Comment 3 Noriko Mizumoto 2009-10-14 23:28:20 UTC
Ping.
Is this bug to be addressed for F12 GA?
No response may trigger a report to Fedora Translation Project, affecting future translation.

Comment 4 Harald Hoyer 2009-10-15 09:09:51 UTC
 '<Tab>/<Alt-Tab> between elements | <Space> selects | <F12> next screen' - Not
found in POT

is not generated by s-c-network. This is from the newt library. 

Found the 

'Edit a device params'
'Edit DNS configuration'

and added the missing _()

Comment 5 Harald Hoyer 2009-10-15 09:13:36 UTC
The .pot files contains strings from the text version (system-config-network-tui) as well as strings from the graphical version (system-config-network-gui).

Most of 711 entries in the POT file come from the GUI/GTK/GNOME version.

Comment 6 Noriko Mizumoto 2009-10-19 07:21:58 UTC
Hum... 'system-config-network-gui' does not work here.
It returns 'Command not found.' message.

Comment 7 Harald Hoyer 2009-10-19 09:57:06 UTC
/usr/sbin/system-config-network-gui

and this is started if you run system-config-network in the Desktop

Comment 8 Bug Zapper 2009-11-16 12:42:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Piotr Drąg 2010-05-03 14:08:11 UTC
Closing, as F12 has been released a long time ago.


Note You need to log in before you can comment on or make changes to this bug.